net.sf.jasperreports.components.sort

## Class SortComponent

- java.lang.Object
- - net.sf.jasperreports.components.sort.SortComponent

- All Implemented Interfaces:
    java.io.Serializable, Component, ContextAwareComponent, JRChangeEventsSupport

      public class SortComponent
      extends java.lang.Object
      implements ContextAwareComponent, java.io.Serializable, JRChangeEventsSupport

  Version:
    $Id: SortComponent.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_COLUMN_NAME`
    `static java.lang.String` | `PROPERTY_COLUMN_TYPE`
    `static java.lang.String` | `PROPERTY_EVALUATION_GROUP`
    `static java.lang.String` | `PROPERTY_EVALUATION_TIME`
    `static java.lang.String` | `PROPERTY_HANDLER_COLOR`
    `static java.lang.String` | `PROPERTY_HANDLER_HORIZONTAL_ALIGN`
    `static java.lang.String` | `PROPERTY_HANDLER_VERTICAL_ALIGN`
    `static java.lang.String` | `PROPERTY_SYMBOL_FONT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortComponent()`
    `SortComponent(SortComponent component, JRBaseObjectFactory objectFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ComponentContext` | `getContext()`
    `java.lang.String` | `getEvaluationGroup()`
    `EvaluationTimeEnum` | `getEvaluationTime()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `java.awt.Color` | `getHandlerColor()`
    `HorizontalAlignEnum` | `getHandlerHorizontalAlign()`
    `VerticalAlignEnum` | `getHandlerVerticalAlign()`
    `java.lang.String` | `getSortFieldName()`
    `SortFieldTypeEnum` | `getSortFieldType()`
    `JRFont` | `getSymbolFont()`
    `void` | `setContext(ComponentContext context)`
    `void` | `setEvaluationGroup(java.lang.String evaluationGroup)`
    `void` | `setEvaluationTime(EvaluationTimeEnum evaluationTime)`
    `void` | `setHandlerColor(java.awt.Color handlerColor)`
    `void` | `setHandlerHorizontalAlign(HorizontalAlignEnum handlerHorizontalAlign)`
    `void` | `setHandlerVerticalAlign(VerticalAlignEnum handlerVerticalAlign)`
    `void` | `setSortFieldName(java.lang.String sortFieldName)`
    `void` | `setSortFieldType(SortFieldTypeEnum sortFieldType)`
    `void` | `setSymbolFont(JRFont symbolFont)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_EVALUATION_TIME

          public static final java.lang.String PROPERTY_EVALUATION_TIME

      See Also:
        Constant Field Values

    - #### PROPERTY_EVALUATION_GROUP

          public static final java.lang.String PROPERTY_EVALUATION_GROUP

      See Also:
        Constant Field Values

    - #### PROPERTY_COLUMN_NAME

          public static final java.lang.String PROPERTY_COLUMN_NAME

      See Also:
        Constant Field Values

    - #### PROPERTY_COLUMN_TYPE

          public static final java.lang.String PROPERTY_COLUMN_TYPE

      See Also:
        Constant Field Values

    - #### PROPERTY_HANDLER_COLOR

          public static final java.lang.String PROPERTY_HANDLER_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_HANDLER_VERTICAL_ALIGN

          public static final java.lang.String PROPERTY_HANDLER_VERTICAL_ALIGN

      See Also:
        Constant Field Values

    - #### PROPERTY_HANDLER_HORIZONTAL_ALIGN

          public static final java.lang.String PROPERTY_HANDLER_HORIZONTAL_ALIGN

      See Also:
        Constant Field Values

    - #### PROPERTY_SYMBOL_FONT

          public static final java.lang.String PROPERTY_SYMBOL_FONT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SortComponent

          public SortComponent()

    - #### SortComponent

          public SortComponent(SortComponent component,
                       JRBaseObjectFactory objectFactory)

  - ### Method Detail

    - #### setContext

          public void setContext(ComponentContext context)

      Specified by:
        `setContext` in interface `ContextAwareComponent`

    - #### getContext

          public ComponentContext getContext()

      Specified by:
        `getContext` in interface `ContextAwareComponent`

    - #### getEvaluationTime

          public EvaluationTimeEnum getEvaluationTime()

      Returns:
        the evaluationTime

    - #### setEvaluationTime

          public void setEvaluationTime(EvaluationTimeEnum evaluationTime)

      Parameters:
        `evaluationTime` - the evaluationTime to set

    - #### getEvaluationGroup

          public java.lang.String getEvaluationGroup()

    - #### setEvaluationGroup

          public void setEvaluationGroup(java.lang.String evaluationGroup)

    - #### getSortFieldName

          public java.lang.String getSortFieldName()

      Returns:
        the columnName

    - #### setSortFieldName

          public void setSortFieldName(java.lang.String sortFieldName)

      Parameters:
        `sortFieldName` - the sort field name to set

    - #### getSortFieldType

          public SortFieldTypeEnum getSortFieldType()

      Returns:
        the columnType

    - #### setSortFieldType

          public void setSortFieldType(SortFieldTypeEnum sortFieldType)

      Parameters:
        `sortFieldType` - the sort field type to set

    - #### getHandlerColor

          public java.awt.Color getHandlerColor()

      Returns:
        the handlerColor

    - #### setHandlerColor

          public void setHandlerColor(java.awt.Color handlerColor)

      Parameters:
        `handlerColor` - the handlerColor to set

    - #### getHandlerVerticalAlign

          public VerticalAlignEnum getHandlerVerticalAlign()

      Returns:
        the handlerVerticalAlign

    - #### setHandlerVerticalAlign

          public void setHandlerVerticalAlign(VerticalAlignEnum handlerVerticalAlign)

      Parameters:
        `handlerVerticalAlign` - the handlerVerticalAlign to set

    - #### getHandlerHorizontalAlign

          public HorizontalAlignEnum getHandlerHorizontalAlign()

      Returns:
        the handlerHorizontalAlign

    - #### setHandlerHorizontalAlign

          public void setHandlerHorizontalAlign(HorizontalAlignEnum handlerHorizontalAlign)

      Parameters:
        `handlerHorizontalAlign` - the handlerHorizontalAlign to set

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

    - #### getSymbolFont

          public JRFont getSymbolFont()

    - #### setSymbolFont

          public void setSymbolFont(JRFont symbolFont)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com